<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.newgzpt.mapper.GzptUserInfoMapper">
    <select id="getList"  resultType="com.miaxis.newgzpt.domain.GzptUserInfo">
        select * from GZPT_USER_INFO
    </select>



    <select id="getUserByWxlogin" parameterType="com.miaxis.newgzpt.dto.GzptUserInfoDTO" resultType="com.miaxis.newgzpt.domain.GzptUserInfo">
        select * from gzpt_user_info g where g.id =
         (select max(id) from gzpt_user_info g where g.logincode=#{logincode} and g.password=#{password} and city=#{city})
    </select>


</mapper>
